CollateralType
Operations
Retrieve CollateralType parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Type of collateral associated with the collateral type.
Successful operation.
POST /nexum/627/2022.01/parameter/getCollateralType HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 168
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
},
"CollateralTypeCollateralType": 1
}Successful operation.
{
"CollateralType": {
"CollateralStatus": 0,
"CollateralType": 1,
"Description": "Collateral Type 0001",
"UserChar": [
{
"EntryId": 1,
"UserChar": "User Char 01"
}
]
},
"MessageId": "getCollateralType"
}Retrieve CollateralType parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Type of collateral associated with the collateral type.
Successful operation.
POST /nexum/627/2022.01/parameter/getCollateralTypeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 230
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"CollateralTypeCollateralType": 0,
"SelectableFields": {
"IncludeAllCollateralTypeFields": true
}
}Successful operation.
{
"CollateralType": {
"CollateralStatus": 0,
"CollateralType": 0,
"Description": "Collateral Type 0000",
"UserChar": [
{
"EntryId": 1,
"UserChar": "User Char 01"
}
]
},
"MessageId": "getCollateralTypeSelectFields"
}Retrieve CollateralType parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getCollateralTypePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 5,
"NumberOfRecordsToSkip": 0,
"Token": "example-token"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"CollateralType": [],
"Token": null,
"MessageId": "getCollateralTypePagedList"
}Retrieve CollateralType parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getCollateralTypeListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 197
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"SelectableFields": {
"IncludeAllCollateralTypeFields": true
}
}Successful operation.
{
"CollateralTypeList": [],
"MessageId": "getCollateralTypeListSelectFields"
}Search CollateralType parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/searchCollateralTypeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 235
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"SelectableFields": {
"IncludeAllCollateralTypeFields": true
},
"SearchFilter": {
"Query": "example-query"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"CollateralTypeList": [],
"MessageId": "searchCollateralTypeSelectFields"
}Retrieve CollateralType parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getCollateralTypePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 276
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 1,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllCollateralTypeFields": true
}
}Successful operation.
{
"CollateralType": [
{
"CollateralStatus": 0,
"CollateralType": 0,
"Description": "Collateral Type 0000",
"UserChar": [
{
"EntryId": 1,
"UserChar": "User Char 01"
}
]
}
],
"Token": "{paging-token}",
"MessageId": "getCollateralTypePagedListSelectFields"
}Search CollateralType parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/searchCollateralTypePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 287
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 1,
"NumberOfRecordsToSkip": 0
},
"Query": "",
"SelectableFields": {
"IncludeAllCollateralTypeFields": true
}
}Successful operation.
{
"CollateralType": [
{
"CollateralStatus": 0,
"CollateralType": 0,
"Description": "Collateral Type 0000",
"UserChar": [
{
"EntryId": 1,
"UserChar": "User Char 01"
}
]
}
],
"Token": "{paging-token}",
"MessageId": "searchCollateralTypePagedSelectFields"
}Update CollateralType parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.
Type of collateral associated with the collateral type.
Successful operation.
POST /nexum/627/2022.01/parameter/updateCollateralTypeByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 324
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CollateralTypeCollateralType": 1,
"CollateralTypeUpdatableFields": {
"Number": "0000000001",
"Type": 1,
"Description": "NEXUM EXAMPLE",
"CollateralOwner": "NEXUM",
"Value": 1,
"ValueDate": "2010-05-08"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"UpdateStatus": {
"isAllFieldsUpdateSuccess": true,
"FailedUpdateStatus": []
},
"MessageId": "updateCollateralTypeByID"
}Last updated
Was this helpful?